{% extends "car_collection/__base.html" %}

{% load static %}

{% block actions %}
<div class="btn-group px-1">
  <button type="button" class="btn btn-secondary dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">{{ brand.name }}</button>
  <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDropdown">
      <li><a class="dropdown-item" href="{% url 'brand_edit' brand.id %}">Editer</a></li>
      <li><a class="dropdown-item" href="{% url 'brand_delete' brand.id %}">Supprimer</a></li>
      <div class="dropdown-divider"></div>
      <li><a class="dropdown-item" href="{% url 'my_cars_add_cars' %}?brand={{ brand.id }}">Ajouter une voiture</a></li>
  </ul>
</div>
{% endblock %}

{% block content %}
<div class="card shadow">
  <div class="card-header">
    {{ brand.name }} ({{ page_obj.paginator.count }} voitures)
  </div>
  <div class="card-body">
    <table class="table">
      <thead class="thead-light">
        <tr>
          <th scope="col">Nom</th>
          <th scope="col">Image</th>
          <th scope="col">Actions</th>
        </tr>
      </thead>
      <tbody>
        {% for carmodel in object_list %}
        <tr>
          <td>
            <a class="" href="{% url 'carmodel' carmodel.id %}">
              {{ carmodel.name }}
            </a>
          </td>
          <td><img src="{{ carmodel.picture.url }}" height="60"/></td>
          <td>
            <a type="button" class="btn btn-warning btn-sm" href="{% url 'carmodel_edit' carmodel.id %}">
              <img class="img-fluid" src="{% static 'car_collection/adwaita_scalable/actions/document-edit-symbolic.svg' %}" title="Edit"/>
            </a>
            <a type="button" class="btn btn-warning btn-sm" href="{% url 'carmodel_delete' carmodel.id %}">
              <img class="img-fluid" src="{% static 'car_collection/adwaita_scalable/places/user-trash-symbolic.svg' %}" title="Delete"/>
            </a>
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
    {% if is_paginated %}
      {% include "car_collection/_pagination.html" %}
    {% endif %}
  </div>
</div>
{% endblock %}
